Debian Bug report logs - #678571
freeglut3: FTBFS on kfreebsd* due to missing legacy/dev/usb/usb.h

version graph

Package: freeglut3; Maintainer for freeglut3 is Anton Gladky <gladk@debian.org>; Source for freeglut3 is src:freeglut.

Reported by: Anton Gladky <gladky.anton@gmail.com>

Date: Fri, 22 Jun 2012 18:54:12 UTC

Severity: serious

Found in version freeglut/2.6.0-1.1

Fixed in version freeglut/2.6.0-3

Done: Anton Gladky <gladky.anton@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#678571; Package freeglut3. (Fri, 22 Jun 2012 18:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
New Bug report received and forwarded. (Fri, 22 Jun 2012 18:54:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeglut3: FTBFS on kfreebsd* due to missing legacy/dev/usb/usb.h
Date: Fri, 22 Jun 2012 20:53:28 +0200
Package: freeglut3
Version: 2.6.0-1.1
Severity: serious

The package fails to build on kfreebsd* platforms.
The relevant part of the buildlog:

libtool: compile:  x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -I..
-I../include -D_FORTIFY_SOURCE=2 -Wall -g -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall
-pedantic -c freeglut_spaceball.c -o libglut_la-freeglut_spaceball.o
>/dev/null 2>&1
freeglut_joystick.c:154:40: fatal error: legacy/dev/usb/usb.h: No such
file or directory
compilation terminated.
/bin/bash ../libtool  --tag=CC   --mode=compile
x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I../include
-D_FORTIFY_SOURCE=2   -Wall -g -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall
-pedantic -c -o libglut_la-freeglut_main.lo `test -f 'freeglut_main.c'
|| echo './'`freeglut_main.c
libtool: compile:  x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -I..
-I../include -D_FORTIFY_SOURCE=2 -Wall -g -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall
-pedantic -c freeglut_main.c  -fPIC -DPIC -o
.libs/libglut_la-freeglut_main.o
make[3]: *** [libglut_la-freeglut_joystick.lo] Error 1




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#678571; Package freeglut3. (Fri, 22 Jun 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. (Fri, 22 Jun 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 678571@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 678571@bugs.debian.org,control@bugs.debian.org,678571-submitter@bugs.debian.org
Subject: [3439f5b] Fix for Bug#678571 committed to git
Date: Fri, 22 Jun 2012 20:03:41 +0000
tags 678571 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Anton Gladky <gladky.anton@gmail.com> on Fri, 22 Jun 2012 21:54:47 +0200.
 The fix will be in the next upload. 
====================================
Disable *fghJoystickWalkUSBdev on kfreeBSD* systems. Prevents FTBFS. (Closes: #678571)


====================================

You can check the diff of the fix at:

    ;a=commitdiff;h=3439f5b






Added tag(s) pending. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Fri, 22 Jun 2012 20:06:04 GMT) Full text and rfc822 format available.

Message sent on to Anton Gladky <gladky.anton@gmail.com>:
Bug#678571. (Fri, 22 Jun 2012 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladky.anton@gmail.com>:
You have taken responsibility. (Sat, 30 Jun 2012 21:45:10 GMT) Full text and rfc822 format available.

Notification sent to Anton Gladky <gladky.anton@gmail.com>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 21:45:10 GMT) Full text and rfc822 format available.

Message #20 received at 678571-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 678571-close@bugs.debian.org
Subject: Bug#678571: fixed in freeglut 2.6.0-3
Date: Sat, 30 Jun 2012 21:41:33 +0000
Source: freeglut
Source-Version: 2.6.0-3

We believe that the bug you reported is fixed in the latest version of
freeglut, which is due to be installed in the Debian FTP archive:

freeglut3-dbg_2.6.0-3_amd64.deb
  to main/f/freeglut/freeglut3-dbg_2.6.0-3_amd64.deb
freeglut3-dev_2.6.0-3_amd64.deb
  to main/f/freeglut/freeglut3-dev_2.6.0-3_amd64.deb
freeglut3_2.6.0-3_amd64.deb
  to main/f/freeglut/freeglut3_2.6.0-3_amd64.deb
freeglut_2.6.0-3.debian.tar.gz
  to main/f/freeglut/freeglut_2.6.0-3.debian.tar.gz
freeglut_2.6.0-3.dsc
  to main/f/freeglut/freeglut_2.6.0-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678571@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladky.anton@gmail.com> (supplier of updated freeglut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 30 Jun 2012 16:45:48 -0400
Source: freeglut
Binary: freeglut3 freeglut3-dev freeglut3-dbg
Architecture: source amd64
Version: 2.6.0-3
Distribution: unstable
Urgency: low
Maintainer: Anton Gladky <gladky.anton@gmail.com>
Changed-By: Anton Gladky <gladky.anton@gmail.com>
Description: 
 freeglut3  - OpenGL Utility Toolkit
 freeglut3-dbg - OpenGL Utility Toolkit debugging information
 freeglut3-dev - OpenGL Utility Toolkit development files
Closes: 331244 677735 678571
Changes: 
 freeglut (2.6.0-3) unstable; urgency=low
 .
   [ Anton Gladky ]
   * [14a5bb4] Use compat-level 9.
   * [9adaee5] Implement multiarch. (Closes: #677735)
   * [3b4bc1a] Fix path to dbg-libraries. (Closes: #331244)
   * [a515c32] Set DM-Upload-Allowed to yes.
   * [3439f5b] Disable *fghJoystickWalkUSBdev on kfreeBSD* systems.
               Prevents FTBFS on those platforms. (Closes: #678571)
 .
   [ Michael Gilbert ]
   * [68e563b] Automatically handle build flags via debhelper 9.
Checksums-Sha1: 
 db0874afcf29a26a604251d6b8b42c7753eefaec 2834 freeglut_2.6.0-3.dsc
 eab43674b2d99bace5763ec50f9b5a4c8eb32123 8149 freeglut_2.6.0-3.debian.tar.gz
 61f10edcdc97d5e82333f2f3cb1d200fa2093736 140974 freeglut3_2.6.0-3_amd64.deb
 346792e7419e9d29778617b00d19a6c926d792dc 218830 freeglut3-dev_2.6.0-3_amd64.deb
 f0aa8609191d97d6cffabcc8cb4234b81b25becb 320404 freeglut3-dbg_2.6.0-3_amd64.deb
Checksums-Sha256: 
 a7888f54bea50c849ac175ba0d927af8209151f8d59acd09fe56a74b2b7dd99e 2834 freeglut_2.6.0-3.dsc
 cc5bbd03f14065596947564d5defcd694a663a9662de948fca7a2a3672dab22c 8149 freeglut_2.6.0-3.debian.tar.gz
 516479b0bb4848cc2b42cb282818ca1afc1665bf134881439aaa5cae5044c392 140974 freeglut3_2.6.0-3_amd64.deb
 53a10601818a4652a07af47f8978d5d2a7073dbe67361ab688e8040a9f2408d1 218830 freeglut3-dev_2.6.0-3_amd64.deb
 3255c223ce00028790c96c152e35a3f944ad82bb73169ff4aa8b493dc04bd065 320404 freeglut3-dbg_2.6.0-3_amd64.deb
Files: 
 5a6bb8bb8b9d3824b5b5761fba09f8a2 2834 graphics optional freeglut_2.6.0-3.dsc
 1f37f17845a563dc31897b66fb843cd5 8149 graphics optional freeglut_2.6.0-3.debian.tar.gz
 ab8af725e254eeb555d21f4c4c8b4ebf 140974 libs optional freeglut3_2.6.0-3_amd64.deb
 35a510b233c2c2c9c8b43506da4d0cff 218830 libdevel optional freeglut3-dev_2.6.0-3_amd64.deb
 464b362bcf18280a29657465d8c12774 320404 debug extra freeglut3-dbg_2.6.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJP72e5AAoJELjWss0C1vRz1Qcf/1zBLKlw1vtqOTFyo7rWaCM8
bRwFRzLVkg8G6zBxs5TlmP40MXORiFQGv9UKZqo0KF7f2A/UONCH7kVfiH7tbJ1+
uMecuuMl8Vud6koZedwG3GtJBc8m0+wxUAln+jG35s2+1A11/TnZwa7EXsHVSt3+
p6dWPcUeyZq6Qq4HTSqJef+VNymvtk0zrztqekqHFMcdyvwXiBncKMbTms9O7cwL
e93164sW+CaNtbIF/kqdel+XTzyFSLEf1AwpNrO26WWqNw2d8SLs+iaMCmyjQaKY
G/7+Ttn/UFS9MZ2DGoKTkchInVJdAzUXT9OkTiSTmdPa90EjbS5ghUTe8hVEhgjt
nYE0gYvpZhztQmOCdeyfVsg7YkjxIxaQdDU1rcemekRrzd3iBd7bhEf5ocRtkFTm
w9CQTlfomss4HDrBeh1s53AcauzwjSZCH5y8EsPkjpc8591ZxV0N3wqRhKjxv/o0
hN3PUKi9b6lX13a/qQeMeyF9QJwo3ggH7EQpXpY2RnDiTV5GN8e65Bm298S08znI
5CcVhBtKjS1daEdaY1Bhnd9iNPhta+2Qimp1IIlIhiT2cGngBmtxaC/u+0XldEJo
otiKHuyvZutQdVAxqjCMUUdEszgcK1p7Fwy4Okgz4lXUV0DbGX3fM15PK05lGmDZ
/SWAaMlHQY3a2ri+UxlDy5kbJCi/yeyyoICH3PizES+xV0VQ9jcEkDsosib/b1iv
2hCd1AX8LJ9b4IU4C7hlMCOU01xXXbq3YDrzeX+LppCqclpBAHTS6M66l5Q3VjMe
AmmI4nUTPG7pQ55lH2D/cg4JVhpDkG8aBF7TV/ntkPn4xIp1RwZQwU8BIz/GPQ7Q
QKb8HtCngGIKiROxInHw2uRrqjdPidvGW4GXcdLuliQneWKPzxa1SKlj80hRXNmT
K8CTXrarbSeA6tgtua05FtBFOx3fxEaceuhTUdFT595qqcygp4JtAvkcUQb15dci
lEjgVh7+YrgAyr4Cp26lSpvNxBkYa7+aEhUEDGjSdWkpm45SJotsMFfAg8u3IRtv
GCRnIjqReHDE9z4/tQF0KPJXsYO4thcoDUHqt4E5/6cnRqN3vPsm5HhBR1niRRwL
P052ejP7ZUbSo1zHZNWxW2vGk50ESK7kfHehmnytEzXgUvdWSnYEIRRHTR27T8nn
/tnr8YnS/o6OuW59AifZE2kGiav2IJ63wyiB4+aLrBaQGzJkJS4nWp4YCaZp4bOJ
Tsp1nARe0QQnFaxolkk4HDvPcPyJ1yaWKzwxMgqSFUlj1nor/o61IyOoXaWQz41E
3f95iRYhVWHsviyYqX4TC3zuA57gzBr7GYJc3ohM3bkxl1pFBdcHs2Dtp9deT5A=
=B0eC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:28:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:38:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.